Subject: [MMUSIC] Rtspspec-bugs digest, Vol 1 #89 - 6 msgs

From: [email-masked]
Date: Tue, 09 Sep 2003 20:31:34 -0700

This is an automatic digest of bugs submitted and changed on the RTSP bug tracker.  To see a list of bugs, visit:

http://sf.net/projects/rtspspec

When replying, please make your Subject line more specific than "Re: Rtspspec-bugs digest"

Today's Topics:

   1. [ rtspspec-Bugs-483356 ] media URL in Play on aggregated session (SourceForge.net)
   2. [ rtspspec-Bugs-556589 ] multicast issue in interleaved (SourceForge.net)
   3. [ rtspspec-Bugs-644626 ] RTSP URL's are case-sensitive (SourceForge.net)
   4. [ rtspspec-Bugs-640897 ] Transport header example mode case (SourceForge.net)
   5. [ rtspspec-Bugs-477419 ] Update HTTP references (SourceForge.net)
   6. [ rtspspec-Bugs-477419 ] Update HTTP references (SourceForge.net)

--__--__--

Message: 1
To: [email-masked]
From: "SourceForge.net" <[email-masked]>
Date: Tue, 09 Sep 2003 08:20:11 -0700
Subject: [rtspspec-bugs] [ rtspspec-Bugs-483356 ] media URL in Play on aggregated session

Bugs item #483356, was opened at 2001-11-19 13:17
Message generated for change (Comment added) made by magwes
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=483356&group_id=23194

Category: None
>Group: Resolved - Added to text
>Status: Closed
Resolution: None
Priority: 5
Submitted By: Magnus Westerlund (magwes)
Assigned to: Nobody/Anonymous (nobody)
Summary: media URL in Play on aggregated session

Initial Comment:
In the current specification a URL is required in a PLAY/PAUSE request. When using aggregated 

control to bind multiple medias to a single session this URL is not obvious. If a user binds multiple 

medias that not are defined as a multimedia presentation a container URL does not exist. 

Therefore 

it needs to be clarefied what the aggregated URL will be in this case. An alternative would be to 

allow * as URL and use the session-id to destignate aggregated PLAY and PAUSE for this session.

----------------------------------------------------------------------

>Comment By: Magnus Westerlund (magwes)
Date: 2003-09-09 17:20

Message:
Logged In: YES 
user_id=302620

This has been resolved. No non-aggregated control in

aggregated sessions. No aggregation of media streams unless

a aggregated control URI is given.

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=483356&group_id=23194

--__--__--

Message: 2
To: [email-masked]
From: "SourceForge.net" <[email-masked]>
Date: Tue, 09 Sep 2003 08:21:45 -0700
Subject: [rtspspec-bugs] [ rtspspec-Bugs-556589 ] multicast issue in interleaved

Bugs item #556589, was opened at 2002-05-16 04:10
Message generated for change (Comment added) made by magwes
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=556589&group_id=23194

Category: General
Group: Fix for DS - Typo/Thinko
>Status: Closed
Resolution: None
Priority: 5
Submitted By: Jaehwan, Kim (kjh1905m)
>Assigned to: Magnus Westerlund (magwes)
Summary: multicast issue in interleaved

Initial Comment:
In 'transport' header field, multicast keyword is 

default. 

In the example of '10.12 Embedded (Interleaved) Binary 

Data' in RFC2326, even though this transport type is 

TCP, there is no unicast keyword.

Generally multicast can not be used in TCP.

Therefore, the example of '10.12 Embedded 

(Interleaved) Binary Data' in RFC2326 must be changed.

or 

The default cast method should be changed as unicast.

Jaehwan, Kim([email-masked])

----------------------------------------------------------------------

>Comment By: Magnus Westerlund (magwes)
Date: 2003-09-09 17:21

Message:
Logged In: YES 
user_id=302620

The default is maintained. The example has been corrected. 

Bug closed. 

----------------------------------------------------------------------

Comment By: Magnus Westerlund (magwes)
Date: 2002-10-30 19:21

Message:
Logged In: YES 
user_id=302620

I beleive the example to be wrong. Interleaved is not

limited to TCP and may therefore be used over another

protocol that can allow multicast. Therefore I think adding

unicast parameters to the example is the simples solution. 

This is fixed in the text. 

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=556589&group_id=23194

--__--__--

Message: 3
To: [email-masked]
From: "SourceForge.net" <[email-masked]>
Date: Tue, 09 Sep 2003 08:23:20 -0700
Subject: [rtspspec-bugs] [ rtspspec-Bugs-644626 ] RTSP URL's are case-sensitive

Bugs item #644626, was opened at 2002-11-27 10:30
Message generated for change (Comment added) made by magwes
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=644626&group_id=23194

Category: General
>Group: Resolved - Added to text
>Status: Closed
Resolution: None
Priority: 5
Submitted By: Magnus Westerlund (magwes)
>Assigned to: Magnus Westerlund (magwes)
Summary: RTSP URL's are case-sensitive

Initial Comment:
It should be explicitly stated that the path part of

the RTSP URL is case sensitive. This is specified in

RFC 2326 by reference to the HTTP path component. This

seems very relevant to clarify.

See HTTP for what text to add.

----------------------------------------------------------------------

>Comment By: Magnus Westerlund (magwes)
Date: 2003-09-09 17:23

Message:
Logged In: YES 
user_id=302620

This has been clarified in the text. Closing this bug. 

----------------------------------------------------------------------

Comment By: Rob Lanphier (robla)
Date: 2002-12-26 23:43

Message:
Logged In: YES 
user_id=3796

http://www.rtsp.org/2002/telecon/minutes11Dec.html#section2.2.1

>  Thomas: just needs to be clarified

>  Magnus: any objections?

>  (silence)

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=644626&group_id=23194

--__--__--

Message: 4
To: [email-masked]
From: "SourceForge.net" <[email-masked]>
Date: Tue, 09 Sep 2003 08:28:26 -0700
Subject: [rtspspec-bugs] [ rtspspec-Bugs-640897 ] Transport header example mode case

Bugs item #640897, was opened at 2002-11-19 21:17
Message generated for change (Comment added) made by magwes
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=640897&group_id=23194

Category: None
>Group: Fix for DS - Typo/Thinko
>Status: Closed
Resolution: None
Priority: 5
Submitted By: Ashley Wee (hashuser)
>Assigned to: Magnus Westerlund (magwes)
Summary: Transport header example mode case

Initial Comment:
There is a case issue with the mode. The examples 

in the RFC shows both mode=play and 

mode="PLAY" in examples.

In RFC 2326, it state Methods are case sensitive. 

"10 Method Definitions ... The method is case-

sensitive"

The bug [ 477415 ] Transport header example only 

addresses the ". The case issue in the examples of 

the RFC has to be fixed as servers and clients are 

expecting different cases due to the ambiguity.

----------------------------------------------------------------------

>Comment By: Magnus Westerlund (magwes)
Date: 2003-09-09 17:28

Message:
Logged In: YES 
user_id=302620

This is fixed, closing bug.

----------------------------------------------------------------------

Comment By: Magnus Westerlund (magwes)
Date: 2003-05-12 13:22

Message:
Logged In: YES 
user_id=302620

Fix all examples so they use the correct defined names of

the modes which are upper case for PLAY. Which is the only

valid value currently defined. 

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=640897&group_id=23194

--__--__--

Message: 5
To: [email-masked]
From: "SourceForge.net" <[email-masked]>
Date: Tue, 09 Sep 2003 08:05:59 -0700
Subject: [rtspspec-bugs] [ rtspspec-Bugs-477419 ] Update HTTP references

Bugs item #477419, was opened at 2001-11-02 08:41
Message generated for change (Comment added) made by magwes
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=477419&group_id=23194

Category: None
>Group: Fixed in CVS/Need WG Approval
Status: Open
Resolution: None
Priority: 5
Submitted By: Magnus Westerlund (magwes)
>Assigned to: Magnus Westerlund (magwes)
Summary: Update HTTP references

Initial Comment:
HTTP references

  RFC 2326 reference RFC 2068 which has been obsoleted by RFC 2616.

  How should you relate to the new RFC, and what to do with removed headers?

  Following things are missing in RFC2616

  - public header

----------------------------------------------------------------------

>Comment By: Magnus Westerlund (magwes)
Date: 2003-09-09 17:05

Message:
Logged In: YES 
user_id=302620

Everything but the RTSP security chapter has been updated

and are present. 

----------------------------------------------------------------------

Comment By: Magnus Westerlund (magwes)
Date: 2002-06-07 17:00

Message:
Logged In: YES 
user_id=302620

All references of type [Hx.y] are updated to point correctly

into RFC 2616. Any missing header from RFC 2068 has been

copied into the RTSP specification. 

There still remain possibilities that some change between

RFC 2616 and RFC 2068 may effect the protocol. See 19.6.3 in

RFC2616 for a list of changes. But so far nothing has been

found.

The security consideration chapter must be updated. The

reference through the nameing of security risk may be broken

as the Security chapter is heavily restrucutred in RFC 2616.

----------------------------------------------------------------------

Comment By: Magnus Westerlund (magwes)
Date: 2002-03-21 17:29

Message:
Logged In: YES 
user_id=302620

Also the content-base header is missing

----------------------------------------------------------------------

Comment By: Rob Lanphier (robla)
Date: 2001-12-14 05:04

Message:
Logged In: YES 
user_id=3796

Ok..now a much better category

----------------------------------------------------------------------

Comment By: Rob Lanphier (robla)
Date: 2001-12-13 18:59

Message:
Logged In: YES 
user_id=3796

Agreed.  Putting in the "Typo/Thinko" category because, even though it doesn't qualify as either, it's a rote 

change that someone with the time can just fix.

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=477419&group_id=23194

--__--__--

Message: 6
To: [email-masked]
From: "SourceForge.net" <[email-masked]>
Date: Tue, 09 Sep 2003 08:13:33 -0700
Subject: [rtspspec-bugs] [ rtspspec-Bugs-477419 ] Update HTTP references

Bugs item #477419, was opened at 2001-11-02 08:41
Message generated for change (Comment added) made by magwes
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=477419&group_id=23194

Category: None
Group: Fixed in CVS/Need WG Approval
>Status: Closed
Resolution: None
Priority: 5
Submitted By: Magnus Westerlund (magwes)
Assigned to: Magnus Westerlund (magwes)
Summary: Update HTTP references

Initial Comment:
HTTP references

  RFC 2326 reference RFC 2068 which has been obsoleted by RFC 2616.

  How should you relate to the new RFC, and what to do with removed headers?

  Following things are missing in RFC2616

  - public header

----------------------------------------------------------------------

>Comment By: Magnus Westerlund (magwes)
Date: 2003-09-09 17:13

Message:
Logged In: YES 
user_id=302620

Also the security chapter has been updated a long time.

Therefore this bug is now closed.

----------------------------------------------------------------------

Comment By: Magnus Westerlund (magwes)
Date: 2003-09-09 17:05

Message:
Logged In: YES 
user_id=302620

Everything but the RTSP security chapter has been updated

and are present. 

----------------------------------------------------------------------

Comment By: Magnus Westerlund (magwes)
Date: 2002-06-07 17:00

Message:
Logged In: YES 
user_id=302620

All references of type [Hx.y] are updated to point correctly

into RFC 2616. Any missing header from RFC 2068 has been

copied into the RTSP specification. 

There still remain possibilities that some change between

RFC 2616 and RFC 2068 may effect the protocol. See 19.6.3 in

RFC2616 for a list of changes. But so far nothing has been

found.

The security consideration chapter must be updated. The

reference through the nameing of security risk may be broken

as the Security chapter is heavily restrucutred in RFC 2616.

----------------------------------------------------------------------

Comment By: Magnus Westerlund (magwes)
Date: 2002-03-21 17:29

Message:
Logged In: YES 
user_id=302620

Also the content-base header is missing

----------------------------------------------------------------------

Comment By: Rob Lanphier (robla)
Date: 2001-12-14 05:04

Message:
Logged In: YES 
user_id=3796

Ok..now a much better category

----------------------------------------------------------------------

Comment By: Rob Lanphier (robla)
Date: 2001-12-13 18:59

Message:
Logged In: YES 
user_id=3796

Agreed.  Putting in the "Typo/Thinko" category because, even though it doesn't qualify as either, it's a rote 

change that someone with the time can just fix.

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=477419&group_id=23194

End of Rtspspec-bugs Digest

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic